<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Api;

/**
 * @interface OrderMappingManagementInterface
 * @package FiloBlu\Refilo\Api
 */
interface OrderMappingManagementInterface
{
    /**
     * @param int $customerId
     * @return mixed
     */
    public function getOrderIdByCustomer($customerId);

    /**
     * @param Data\GuestOrderRequestInterface $request
     * @return mixed
     */
    public function getGuestOrder(\FiloBlu\Refilo\Api\Data\GuestOrderRequestInterface $request);

    /**
     * @param Data\CustomerOrderRequestInterface $request
     * @return mixed
     */
    public function getCustomerOrder(\FiloBlu\Refilo\Api\Data\CustomerOrderRequestInterface $request);
}
